package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.entity.PrintLog;

import java.util.List;
import java.util.Map;

public interface PrintLogService {

    void save(String billNo,String printCode,boolean success);

    void save(String billNo,String barcode, String printCode,boolean success);

    void save(String billNo,String printCode,String itemId,String batchId,boolean success);

    void saveBatch(List<PrintLog> printLogList);

    List<PrintLog> findbyItemIds(List<String> itemIds,String printCode);
}
